#NoTrayIcon
#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_UseUpx=n
#AutoIt3Wrapper_UseX64=n
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****

#Include <Array.au3>
#include <CompInfo.au3>
#include <Constants.au3>
#include <GUIConstantsEx.au3>
#include <WindowsConstants.au3>
#include <StaticConstants.au3>

Dim $NetworkCards

_ComputerGetNetworkCards($NetworkCards)  ;--- Use UDF call to get NICs, saves parsing DevCon output
If @error Then
	$error = @error
	$extended = @extended
	Switch $extended
		Case 1
			_ErrorMsg($ERR_NO_INFO)
		Case 2
			_ErrorMsg($ERR_NOT_OBJ)
	EndSwitch
EndIf

_ArrayDisplay($NetworkCards)

Func _ErrorMsg($message, $time = 0)  ;--- For any errors thrown up by CompInfo.au3
	MsgBox(48 + 262144, "Error!", $message, $time)
EndFunc
